// Copyright 2015, 2017 Luke Shumaker
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Package libsystemd implements the client-side of generic system
// APIs.
//
// Several of these APIs originated with systemd, but they are all
// very simple, and may be implemented with a variety of systems.
//
//     Name        | Status | Description
//     ------------+--------+-------------------------------------------------------------------------------
//     sd_bus      | TODO   | Package sd_bus is a lightweight D-Bus client.
//     sd_daemon   | DONE   | Package sd_daemon implements utilities for writing "new-style" daemons.
//     sd_event    | N/A    | Not implemented; not nescessary in Go.
//     sd_id128    | DONE   | Package sd_id128 reads, generates, and processes 128-bit ID values.
//     sd_journal  | TODO   | TODO.
//     sd_login    | TODO   | TODO.
//     sd_messages | DONE   | Package sd_messages is a table of constant message IDs understood by journald.
//     ------------+--------+-------------------------------------------------------------------------------
package libsystemd
